org.keycloak.proxy

## Class ProxyConfig

- java.lang.Object
- - org.keycloak.proxy.ProxyConfig

-     public class ProxyConfig
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProxyConfig.Application`
    `static class` | `ProxyConfig.Constraint`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ProxyConfig.Application>` | `applications`
    `protected String` | `bindAddress`
    `protected Integer` | `bufferSize`
    `protected Integer` | `buffersPerRegion`
    `protected Boolean` | `directBuffers`
    `protected Integer` | `httpPort`
    `protected Integer` | `httpsPort`
    `protected Integer` | `ioThreads`
    `protected String` | `keyPassword`
    `protected String` | `keystore`
    `protected String` | `keystorePassword`
    `protected boolean` | `sendAccessToken`
    `protected String` | `targetUrl`
    `protected Integer` | `workerThreads`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProxyConfig.Application>` | `getApplications()`
    `String` | `getBindAddress()`
    `Integer` | `getBufferSize()`
    `Integer` | `getBuffersPerRegion()`
    `Boolean` | `getDirectBuffers()`
    `Integer` | `getHttpPort()`
    `Integer` | `getHttpsPort()`
    `Integer` | `getIoThreads()`
    `String` | `getKeyPassword()`
    `String` | `getKeystore()`
    `String` | `getKeystorePassword()`
    `String` | `getTargetUrl()`
    `Integer` | `getWorkerThreads()`
    `boolean` | `isSendAccessToken()`
    `void` | `setApplications(List<ProxyConfig.Application> applications)`
    `void` | `setBindAddress(String bindAddress)`
    `void` | `setBufferSize(Integer bufferSize)`
    `void` | `setBuffersPerRegion(Integer buffersPerRegion)`
    `void` | `setDirectBuffers(Boolean directBuffers)`
    `void` | `setHttpPort(Integer httpPort)`
    `void` | `setHttpsPort(Integer httpsPort)`
    `void` | `setIoThreads(Integer ioThreads)`
    `void` | `setKeyPassword(String keyPassword)`
    `void` | `setKeystore(String keystore)`
    `void` | `setKeystorePassword(String keystorePassword)`
    `void` | `setSendAccessToken(boolean sendAccessToken)`
    `void` | `setTargetUrl(String targetUrl)`
    `void` | `setWorkerThreads(Integer workerThreads)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bindAddress

          protected String bindAddress

    - #### httpPort

          protected Integer httpPort

    - #### httpsPort

          protected Integer httpsPort

    - #### keystore

          protected String keystore

    - #### keystorePassword

          protected String keystorePassword

    - #### keyPassword

          protected String keyPassword

    - #### bufferSize

          protected Integer bufferSize

    - #### buffersPerRegion

          protected Integer buffersPerRegion

    - #### ioThreads

          protected Integer ioThreads

    - #### workerThreads

          protected Integer workerThreads

    - #### directBuffers

          protected Boolean directBuffers

    - #### targetUrl

          protected String targetUrl

    - #### sendAccessToken

          protected boolean sendAccessToken

    - #### applications

          protected List<ProxyConfig.Application> applications

  - ### Constructor Detail

    - #### ProxyConfig

          public ProxyConfig()

  - ### Method Detail

    - #### getBindAddress

          public String getBindAddress()

    - #### setBindAddress

          public void setBindAddress(String bindAddress)

    - #### getHttpPort

          public Integer getHttpPort()

    - #### setHttpPort

          public void setHttpPort(Integer httpPort)

    - #### getHttpsPort

          public Integer getHttpsPort()

    - #### setHttpsPort

          public void setHttpsPort(Integer httpsPort)

    - #### getKeystore

          public String getKeystore()

    - #### setKeystore

          public void setKeystore(String keystore)

    - #### getKeystorePassword

          public String getKeystorePassword()

    - #### setKeystorePassword

          public void setKeystorePassword(String keystorePassword)

    - #### getKeyPassword

          public String getKeyPassword()

    - #### setKeyPassword

          public void setKeyPassword(String keyPassword)

    - #### getBufferSize

          public Integer getBufferSize()

    - #### setBufferSize

          public void setBufferSize(Integer bufferSize)

    - #### getBuffersPerRegion

          public Integer getBuffersPerRegion()

    - #### setBuffersPerRegion

          public void setBuffersPerRegion(Integer buffersPerRegion)

    - #### getIoThreads

          public Integer getIoThreads()

    - #### setIoThreads

          public void setIoThreads(Integer ioThreads)

    - #### getWorkerThreads

          public Integer getWorkerThreads()

    - #### setWorkerThreads

          public void setWorkerThreads(Integer workerThreads)

    - #### getDirectBuffers

          public Boolean getDirectBuffers()

    - #### setDirectBuffers

          public void setDirectBuffers(Boolean directBuffers)

    - #### getTargetUrl

          public String getTargetUrl()

    - #### setTargetUrl

          public void setTargetUrl(String targetUrl)

    - #### getApplications

          public List<ProxyConfig.Application> getApplications()

    - #### setApplications

          public void setApplications(List<ProxyConfig.Application> applications)

    - #### isSendAccessToken

          public boolean isSendAccessToken()

    - #### setSendAccessToken

          public void setSendAccessToken(boolean sendAccessToken)

Copyright © 2015. All Rights Reserved.